Create ChatbotAsk AIpost https://api.droxy.ai/v1/chatbotCreate a chatbot.Body ParamsnamestringrequiredThe chatbot's name.welcomeMessagestringThe chatbot's welcome message. Displayed when the chatbot is first opened.resourceIdsarray of stringsrequiredAn array of resource ids that the chatbot can use.resourceIds*ADD stringchatbotMessageColorstringThe HEX background color of the chatbot's messages. Will default to #F6F7F8.userMessageColorstringThe HEX background color of the user's messages. Will default to #E0EEFA.conversationBackgroundColorstringThe HEX color of the chatbot's background color behind the messages of the selected conversation. Will default to #FFFFFF.secondaryBackgroundColorstringThe HEX color of the chatbot's secondary background color. Will default to #F6F7F8.gradientColorsarray of stringsThe HEX colors of the chatbot's gradient color. Must be an array of 4 colors.gradientColorsADD stringshowBadgebooleanrequiredWhether or not the chatbot should show the badge. Will default to false.truefalseenabledEmojibooleanWhether or not the chatbot should use emojis. Defaults to false.truefalsepersonalityTypestringThe personnality type of the chatbot. Values can be 'ASSISTANT' | 'COACH' | 'ADVISOR' | 'EXPERT' | 'CUSTOM'.toneTypestringThe tone the chatbot uses. Values can be 'HUMOROUS' | 'FRIENDLY' | 'FORMAL' | 'CUSTOM'.customSystemPromptstringThe custom system prompt the chatbot uses. Defined only if personalityType and toneType are set to 'CUSTOM'.modelstringrequiredThe model the chatbot uses. Values can be 'gpt-4o' | 'gpt-4o-mini' | 'gpt-5' | 'gpt-5-mini' | 'gpt-realtime' | 'gpt-4o-mini-realtime-preview' | 'claude-4-sonnet' | 'claude-3-5-haiku' | 'gemini-2.5-pro' | 'gemini-2.5-flash'.restrictAnswersToResourcesContentResponsestringAnswer the chatbot must return if information is not found in the resources. If not set, the chatbot will not be restricted to the knowledge from the resources.accessLevelstringrequiredThe access level of the chatbot. Values can be 'PUBLIC' | 'PRIVATE' | 'PROTECTED'.tagsarray of stringsTags to assign.tagsADD stringpasswordstringIf the chatbot is private, the password to access it. Must be at least 8 characters long and contain at least one uppercase letter, one lowercase letter, one number and one special character.websiteIntegrationobjectThe website integration configuration of the chatbot. Defined if the chatbot is set to be integrated on one or more websites.websiteIntegration objectResponses 201Created 400Bad Request 401Unauthorized 403Forbidden 404Element not found 500Internal Server ErrorUpdated over 2 years ago